Refund
curl --request POST \
--url https://api.example.com/{version}/executions/refund \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_id": "<string>",
"reference_id": "<string>"
}
'{
"reference_id": "<string>",
"status": "<string>",
"payer_amount": 123,
"payer_currency": "<string>",
"payee_currency": "<string>",
"payee_amount": 123,
"operation_type": "<string>",
"provider_transaction_id": "<string>",
"gateway_message": "<string>",
"wallet_message": "<string>",
"client_secret": "<string>",
"requires_action": true
}executions
Refund
POST
/
{version}
/
executions
/
refund
Refund
curl --request POST \
--url https://api.example.com/{version}/executions/refund \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_id": "<string>",
"reference_id": "<string>"
}
'{
"reference_id": "<string>",
"status": "<string>",
"payer_amount": 123,
"payer_currency": "<string>",
"payee_currency": "<string>",
"payee_amount": 123,
"operation_type": "<string>",
"provider_transaction_id": "<string>",
"gateway_message": "<string>",
"wallet_message": "<string>",
"client_secret": "<string>",
"requires_action": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Allowed value:
"v1"Body
application/json
Response
Successful Response
ExecutionResponse
Last modified on June 23, 2026
Was this page helpful?
⌘I
